Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#52410 - [python-pylint] python-astroid version reported as `1.5.0`, breaking pylint

Attached to Project: Arch Linux
Opened by nfnty (nfnty) - Saturday, 07 January 2017, 01:10 GMT
Last edited by Felix Yan (felixonmars) - Wednesday, 11 January 2017, 15:43 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Angel Velasquez (angvp)
Felix Yan (felixonmars)
Architecture All
Severity High
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 5
Private No

Details

Latest update reports version as `1.5.0` causes pylint to crash:

```
Traceback (most recent call last):
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 655, in _build_master
ws.require(__requires__)
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 963, in require
needed = self.resolve(parse_requirements(requirements))
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 854, in resolve
raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (astroid 1.5.0 (/usr/lib/python3.6/site-packages), Requirement.parse('astroid<1.5.0,>=1.4.5'), {'pylint'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/bin/pylint", line 6, in <module>
from pkg_resources import load_entry_point
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3019, in <module>
@_call_aside
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3003, in _call_aside
f(*args, **kwargs)
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3032, in _initialize_master_working_set
working_set = WorkingSet._build_master()
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 657, in _build_master
return cls._build_from_requirements(__requires__)
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 670, in _build_from_requirements
dists = ws.resolve(reqs, Environment())
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 849, in resolve
raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'astroid<1.5.0,>=1.4.5' distribution was not found and is required by pylint
```
This task depends upon

Closed by  Felix Yan (felixonmars)
Wednesday, 11 January 2017, 15:43 GMT
Reason for closing:  Fixed
Additional comments about closing:  1.6.4.20170104-1
Comment by Johannes Wienke (languitar) - Tuesday, 10 January 2017, 15:51 GMT
Also affects pylama
Comment by nfnty (nfnty) - Tuesday, 10 January 2017, 20:01 GMT
Why was the summary changed to `[python-pylint]`? This issue affects `python-astroid` and only indirectly `python-pylint`. ABS commit `5826514450184bbd56cc37006e1eb68ea4d787db` changed from using a git tag to using a git commit. The upstream commit is after the version string was changed to `1.5.0`, making it incompatible with all applications relying on `<= 1.4.9`.
Comment by Felix Yan (felixonmars) - Wednesday, 11 January 2017, 15:43 GMT
@nfnty That bump was needed for Python 3.6 compatibility, though. This has been fixed in pylint by bumping it to a later version, too.

@languitar It's not in the official repos. Please report this to the AUR package maintainer.

Loading...